import React from 'react';
import { Button } from 'antd';
import XForm, { FieldTypes } from '../../../components/XForm';

export default (props) => {
  const fields = [
    {
      label: '公司名称',
      name: 'orgName',
      type: FieldTypes.Text
    },
    {
      label: '用户名称',
      name: 'name',
      type: FieldTypes.Text
    },
    {
      label: '登录名称',
      name: 'loginName',
      type: FieldTypes.Text,
      placeholder: '不填, 默认使用手机号'
    },
    {
      label: '手机号',
      name: 'phone',
      type: FieldTypes.Text,
      rules: [
        {required: true, message: '请填写手机号'}
      ]
    },
    {
      label: '头像',
      name: 'avatar',
      type: FieldTypes.ImageUploader,
      extra: '建议图片大小 128 * 128'
    },
    {
      label: '有效期',
      name: 'expDate',
      type: FieldTypes.DatePicker,
    },
  ]

  const handleSubmit = val => {
    window.console.log('submit data --->', val)
  }

  return (<XForm onSubmit={handleSubmit} fields={fields}></XForm>)
}
